Package Details: rbtools 1.0.3-1

Git Clone URL: https://aur.archlinux.org/rbtools.git (read-only, click to copy)
Package Base: rbtools
Description: Client tools for Review Board
Upstream URL: https://www.reviewboard.org/
Licenses: custom:MIT
Submitter: alexmerry
Maintainer: TheGoliath
Last Packager: TheGoliath
Votes: 24
Popularity: 0.000000
First Submitted: 2010-09-11 10:59
Last Updated: 2020-05-06 11:04

Latest Comments

1 2 Next › Last »

anatolik commented on 2019-12-10 20:56

Upstream says the script works with Python3. Is it time to move the package to python3 as well?

anatolik commented on 2019-12-10 20:31

packages python2-texttable python2-tqdm do not exist

newsboost commented on 2019-10-31 10:47

Hi alexmerry, oh, thank you very much. I don't have much experience with packages, but now you're showing it, it looks pretty simple and logically.

Anyway, at least for me, I found another solution, just "pip install rbtools". By the way, I'm actually not completely sure what is the definition of an "out-of-date" package here: "rbt --version" yields "RBTools 1.0.2" (installed through pip) and if this is "rbtools 1.0.2-1", I guess this is slightly newer (but not the newest). I don't know if the same minor version with a new patch released makes a package "out-of-date", but at least I think many users would prefer the PKGBUILD fix below, going from python2 to python3, which is the new "python-standard" to build packages on and it's important that packages are python3-supported, IMHO... Thanks for your help/feedback with the PKGBUILD.

alexmerry commented on 2019-10-30 22:28

I think the solution is to move the package to Python 3 - it's pretty straightforward to do:

--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,26 +1,24 @@
 pkgname=rbtools
 _name=RBTools
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Client tools for Review Board"
 arch=('any')
 url="http://www.reviewboard.org/"
 license=('custom:MIT')
-depends=('python2' 'python2-setuptools' 'python2-six' 'python2-tqdm' 'python2-texttable' 'python2-colorama' 'python2-backports.shutil_get_terminal_size')
-makedepends=('python2-setuptools')
+depends=('python' 'python-colorama' 'python-six' 'python-texttable' 'python-tqdm')
+makedepends=('python-setuptools')
 source=(https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz)
 sha256sums=('577c2f8bbf88f77bda84ee95af0310b59111c156f48a5aab56ca481e2f77eaf4')

 build() {
   cd "$srcdir/RBTools-$pkgver"
-  find . -type f -exec sed -i 's@#!/usr.*python@#!/usr/bin/python2@' {} \;
-  export PYTHON=python2
-  python2 setup.py build || return 1
+  python setup.py build || return 1
 }

 package() {
   cd "$srcdir/RBTools-$pkgver"
-  python2 setup.py install --root "${pkgdir}" || return 1
+  python setup.py install --root "${pkgdir}" || return 1
   install -d -m755 "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 }

newsboost commented on 2019-10-28 21:15

Ok, so I get:

yay -S rbtools
==> Error: Could not find all required packages:
    python2-texttable (Wanted by: rbtools)

Any workaround? Is this abandoned (I hope not)?

scorpp commented on 2014-02-23 18:13

current version is 0.5.7

portaloffreedom commented on 2014-01-06 15:09

pippin: sorry about that, next time I'll do it right. Thx :D

alexmerry commented on 2014-01-03 19:10

Portaloffreedom: you should flag the package out of date when it needs updating; that way, the comments don't fill up with things that quickly become irrelevant :-)

portaloffreedom commented on 2014-01-03 17:17

needs to update to 0.5.3

alexmerry commented on 2013-11-20 11:08

Fixed in 0.5.2-2